aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libsigsegv/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-12-07 16:09:47 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2015-12-07 16:22:45 +0100
commit21a9865c2eb26e08ce9698241f18a0de760b7283 (patch)
tree98ff184074b64a0c0718042e25f21c0691801c63 /testing/libsigsegv/APKBUILD
parentebf79c7d89d93917c5208a000ed5f833f2e82209 (diff)
downloadaports-21a9865c2eb26e08ce9698241f18a0de760b7283.tar.gz
aports-21a9865c2eb26e08ce9698241f18a0de760b7283.tar.bz2
aports-21a9865c2eb26e08ce9698241f18a0de760b7283.tar.xz
testing/libsigsegv: add -dev subpackage
Diffstat (limited to 'testing/libsigsegv/APKBUILD')
-rw-r--r--testing/libsigsegv/APKBUILD16
1 files changed, 5 insertions, 11 deletions
diff --git a/testing/libsigsegv/APKBUILD b/testing/libsigsegv/APKBUILD
index 8db07e61d7..3a1d5fbeec 100644
--- a/testing/libsigsegv/APKBUILD
+++ b/testing/libsigsegv/APKBUILD
@@ -2,27 +2,21 @@
# Maintainer:
pkgname=libsigsegv
pkgver=2.10
-pkgrel=0
+pkgrel=1
pkgdesc="Page fault detection library"
url="http://www.gnu.org/software/libsigsegv/"
arch="all"
license="GPL2"
depends=""
depends_dev=""
-makedepends="$depends_dev"
+makedepends=""
install=""
-subpackages=""
+subpackages="$pkgname-dev"
source="http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-$pkgver.tar.gz"
_builddir="$srcdir"/libsigsegv-$pkgver
prepare() {
- local i
cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
update_config_sub || return 1
}
@@ -41,8 +35,8 @@ build() {
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ make DESTDIR="$pkgdir" \
+ -C "$_builddir" install || return 1
}
md5sums="7f96fb1f65b3b8cbc1582fb7be774f0f libsigsegv-2.10.tar.gz"